; To become familiar with the segment feature you
; should assemble this file with and without the
; single object module swicth enabled.
;
;   a85  -o example         ;three object module files
                            ;     code.seg
                            ;     memory.seg
                            ;     rom2.seg
;
;   a85  example            ;one object module file example.obj



         jmp loop
         org  20h         ;start assembly at location 20 hex.
                            ;saved for when we switch back.
         org  8000h       ;assume ram space starts at address h'8000
v1:      ds 2               ;reserve storage for a program variable
array:   ds 100*2           ;reserve storage for an array of 100 words
                            ; origin is where we left off.
loop:    mvi a,22h
         lxi sp,2000h
         sphl
         cr equ 13         ;equated identifiers are constant.
         tab equ 9
         temp set 23       ;set identifiers may be re-set.
         temp set 24
         temp set 25
         db  1,2,3,4,5,'p'
         db  6,7,'this is a test\r\n\0'
         dw  1,1234h
         mvi b,loop2 shr 8   ;isolate high byte of address
         mvi b,loop2 and 0ffh ;isolate low half of address
loop2:   jmp loop
         org 4000h
         db  'this is possibly a second rom programmed seperately.'
         end          ;end of assembly, specifying start address.
