org 1000

dcx sp		; initialize stack (0FFFFh)

lxi h,text		; load text address to HL
call print		; print text

lxi d,vlozeny	; load address to store input
call getline	; get line from keyboard

lxi h,text2
call print

; looking for max.char ... ( max. in d )
lxi b,vlozeny
ldax b
mov d,a
inx b

char_loop:
ldax b
inx b
cpi 10
jz char_end
cpi 13
jz char_end
cmp d
jc char_loop
mov d,a
jmp char_loop
char_end:

mov a,d
sta znak
lxi d,znak+1
call newline

lxi h,znak		; load vlozeny address to HL
call print

hlt

; in: DE containing the address 
; append the 10, 13, 0 sequence

newline:
mvi a,10
stax d
inx d
mvi a,13
stax d
inx d
mvi a,0
stax d
ret

print:
    mov a, m
    inx h
    cpi 0
    rz
    out 11h
    jmp print

;simple routine to get string from keyboard
;in: chars from keyboard till ENTER key
;out: DE reg.pair = start address of loaded text
getline:
    mvi c, 0 ; char count
next_char:
    in 10h
    ani 1 ; test status byte if char is ready
    jz next_char
    in 11h ; read char

    ; interpret some special keys
    cpi 13 ; ENTER
    jz getline_ret
    cpi 8  ; backspace
    jnz save_char

    mov a, c ; test if we are in the beginning
    cpi 0
    jz next_char ; if yes, nothing is done (ignored BS)
    dcx d ; address--;
    dcr c ; charcount--;
    mvi a,8 ; send backspace to the screen
    out 11h
    mvi a, 32 ; clear char by ' '
    out 11h
    mvi a,8 ; backspace again
    out 11h
    jmp next_char
save_char:
    out 11h
    stax d
    inx d
    inr c
    jmp next_char
getline_ret:
    mvi a, 10
    stax d
    inx d
    mvi a,13
    stax d
    inx d
    mvi a, 0
    stax d
    ret
    
text: db 'Znak s najvacsim kodom vo vstupe ...',10,13,'Vloz text: ',0
text2: db 10,13,'Znak: ',0
znak: ds 30
vlozeny: ds 30